<?php

// status Position

foreach ($_POST["value"] as $key => $value) {

    $data["pos"] = $key + 1;

    updatePosition($data, $value);

}



// echo "Position Saved";

function updatePosition($data, $id) {

    include "../../db.php";

    if(array_key_exists("id", $data)){

         $data["id"] = $this->real_escape_string($data["id"]);

    }



    foreach ($data as $key => $value) {

        $value="'$value'";

        $updates[]="$key = $value";

    }



    $imploadAray=  implode(",", $updates);

    $query = "UPDATE `lead_source` SET $imploadAray WHERE id = '$id'";



    // echo '<pre>';print_r($query);exit();

    $result = mysqli_query($con, $query) or die(mysqli_error($con));

    if ($result) {

        return "position change successfully";

    } else {

        return "Error while updating position";

    }

}

?>